PHP K�sikirja
Edellinen |  | Seuraava

# ftp_rename

(PHP 3>= 3.0.13, PHP 4 , PHP 5)

ftp_rename -- Renames a file or a directory on the FTP server

## Description

bool ftp_rename ( resource ftp_stream, string oldname, string newname )

ftp_rename() renames a file or a directory on the FTP server.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

oldname

  The old file/directory name.

newname

  The new name.

## Return values

Palauttaa `TRUE` onnistuessaan, muutoin `FALSE`.

## Examples

Esimerkki 1. ftp_rename() example

`<?php
$old_file = 'somefile.txt.bak';
$new_file = 'somefile.txt';
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// try to rename $olf_file to $new_file
if (ftp_rename($conn_id, $old_file, $new_file)) {
echo "successfully renamed $old_file to $new_file\n";
} else {
echo "There was a problem while renaming $old_file to $new_file\n";
}
// close the connection
ftp_close($conn_id);
?>`

Edellinen | Alkuun | Seuraava
ftp_rawlist | Ylös | ftp_rmdir